@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>Sign In</h2>
                        <ul>
                            <li><a href="#">Home</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>Sign In</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->
    <!-- login register Wrapper start -->
    <div class="login_wrapper_top full_width">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-12 col-md-12">
                    <div class="login_tab_top_wrap full_width">
                        <div class="tab-content full_width">
                            <div class="row">
                                <form action="{{ route('member-signup.store') }}" method="POST" class="login_wrapper full_width form-prevent-multiple-submits">
                                    @csrf
                                    <input type="hidden" name="mobile_no" value="{{ session('smsCert.mobile_no') }}">
                                    <div class="col-lg-12 col-md-12 col-12 col-sm-12">
                                        <div class="formsix-e">
                                            <div class="form-group">
                                                <label>Email Address</label>
                                                <input type="text" class="form-control" name="email" id="email-txt" placeholder="Email Address">
                                                @error('email')
                                                <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-12 col-sm-12">
                                        <div class="formsix-e">
                                            <div class="form-group pd_otp_wrapper float_left">
                                                <label>password</label>
                                                <input id="password-field2" class="form-control" name="password" type="password" placeholder="Enter Password"> <span></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-12 col-sm-12">
                                        <div class="formsix-e">
                                            <div class="form-group pd_otp_wrapper float_left">
                                                <label>confirm password</label>
                                                <input id="password-field3" class="form-control" name="password_confirmation" type="password" placeholder="Confirm Password"> <span></span>
                                                @error('password')
                                                <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-12 col-md-12 col-12 col-sm-12">
                                        <div class="see_more_btn js_btn_wrapper full_width mt-2">
                                            <button type="submit" id="submit_btn" class="submitForm button-prevent-multiple-submits float-none" style="width: 350px">
                                                <i class="spinner fa fa-spinner fa-spin"></i>
                                                가입
                                            </button>
                                        </div>
                                        <p class="account_setting full_width">already a member ? <a href="{{ route('member-login') }}">Sign in now! </a></p>
                                        <h5 class="login_or_text">or</h5> </div>
                                    <div class="row">
                                        <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                            <div class="google_wrap full_width">
                                                <a href="#"> <i class="fab fa-pinterest-p"></i> Pinterest </a>
                                            </div>
                                        </div>
                                        <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                            <div class="facebook_wrap full_width">
                                                <a href="#"> <i class="fab fa-facebook-f"></i> facebook</a>
                                            </div>
                                        </div>
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- login register Wrapper end -->
@endsection

