<!doctype html>
<html lang="ko">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>@yield('title', env('APP_NAME'))</title>
    <link rel="icon" href="{{ msset(env('FAVICON_PATH')) }}">

    @include('views.partial.site.meta')
    @include('views.partial.site.scripts')

    @stack('css')

</head>
<body>
    @include('views.layouts.preloader')
    @include('views.layouts.header')

    @include('layouts.js-lang')
    @include('vendor.lara-izitoast.toast')

    @yield('content')

    @include('views.layouts.footer')

    @stack('js')

</body>

<script>
    window.env = (@json($_ENV));
    window.Member = @json(session('member'));
    window.CodeTitle = @json($codeTitle ?? '');
</script>
</html>
