@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>충전금 입출내역</h2>
                        <ul>
                            <li><a href="#">My Page</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>충전금 입출내역</li>
                        </ul>

                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->

    <!-- tabOne section start -->
    <div class="tabOne ptb-100 order_list">
        <div class="container">
            <div class="row">
                @include('views.my-page.left-sidebar')
                <!-- /.col-md-2 -->
                <div class="right col-xl-10 col-lg-9 col-md-9 col-sm-12 col-12">

                    <div class="card_1" id="modal-order">

                        <div class="table-responsive" style="margin-top:10px;">
                            <table class="table table-row cart-table" style="table-layout: fixed; min-width:747px;">
                                <thead>
                                	<tr>
                                    	<th style="width:6%">No</th>
                                        <th style="width:15%">날짜</th>
                                        <th >내용</th>
                                        <th style="width:20%">금액</th>
                                        <th style="width:20%">잔액</th>
                                    </tr>
                                </thead>
                                <tbody id="order-table-body">
                                @php $no = count($creditBdPage['Page'] ?? []) @endphp
                                @forelse($creditBdPage['Page'] ?? [] as $creditBd)
                                	<tr>
                                    	<td>{{ $no-- }}</td>
                                        <td>{{ DataConverter::createFromTimestamp($creditBd['C1'], 'Y-m-d H:i:s') }}</td>
                                        <td>충전금에 관한 간단한 내용이 나옵니다.</td>
                                        <td><span class="txt_plus">₩ 000,000,000</span></td>
                                        <td>₩ 000,000,000</td>
                                    </tr>
                                @empty
                                    <tr><td class="text-center" colspan="5">데이터가 없습니다</td></tr>
                                @endforelse
{{--                                    <tr>--}}
{{--                                    	<td>000</td>--}}
{{--                                        <td>2022-00-00</td>--}}
{{--                                        <td>충전금에 관한 간단한 내용이 나옵니다.</td>--}}
{{--                                        <td><span class="txt_minus">₩ -000,000,000 원</span></td>--}}
{{--                                        <td>000,000,000</td>--}}
{{--                                    </tr>--}}
                                </tbody>
                            </table>
                        </div>

                        <div class="d-flex flex-column flex-md-row align-items-center mt-2 mt-md-0">
                            <!-- 페이지네이션 시작 -->
                            {{-- @component('views.partial.table-options')
                            @endcomponent --}}
                            <div>
                                {{-- {{ $orderPage['Page']->appends(['limit' => request('limit')])->links() }} --}}
                            </div>
                            <!--// 페이지네이션 끝 -->
                        </div>

					</div>

                </div>
                <!-- /.col-md-10 -->

            </div>
            <!-- /.row -->
        </div>
        <!-- /.container -->
    </div>
    <!-- tabOne section end -->

@endsection
