@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>Member Edit</h2>
                        <ul>
                            <li><a href="#">My Page</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>Member Edit</li>
                        </ul>

                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->

    <!-- tabOne section start -->
    <div class="tabOne ptb-100 mem_edit ">
        <div class="container">
            <div class="row">
                @include('views.my-page.left-sidebar')

                <!-- /.col-md-2 -->
                <div class="right col-xl-10 col-lg-9 col-md-9 col-sm-12 col-12">

                   <h2 class="main_top_heading">계정설정</h2>

                    <form class="inner form-prevent-multiple-submits" id="frm" action="{{ route('my-page.member-edit.store') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" name="old_profile_img" value="{{ $member['C9'] }}">

                        <div class="profile col-lg-6 col-md-12 col-sm-12 col-xs-12">
                            <h6>공개 프로필 정보</h6>

                            <input type="file" name="profile_img" id="upload-file" onchange="file_upload(this)" hidden>

                            <div class="pic_box">
                                <input type="hidden" id="profile-img-txt">
                                <img src="{{ env('MEDIA_URL') . $member['C9'] }}" onerror="this.src='/themes/eyerecord/pro/resources/images/pic.jpg'" id="profile-img">
                                <button type="button" onclick="change_profile()" class="btn_sec">변경</button>
                            </div>

                            <div class="input_box">
                                <div>
                                    <label><i class="fas fa-smile"></i> 사용자 닉네임</label>
                                    <input type="text" class="form-control" value="{{ $member['C6'] }}" name="nick_name">
                                </div>
                                <div>
                                    <label><i class="fas fa-user-circle"></i> 사용자 프로필</label>
                                    <textarea class="form-control" name="profile_text" placeholder="공개 프로필(255자 이내)">{{ $member['C11'] }}</textarea>
                                </div>
                                <div>
                                    <label><i class="fas fa-globe"></i> 프로필 웹사이트</label>
                                    <input class="form-control" name="profile_web" value="{{ $member['C10'] }}" type="text">
                                </div>
                            </div>
                        </div>


                        <div class="account col-lg-6 col-md-12 col-sm-12 col-xs-12">
                            <h6>계정 정보</h6>
                            <div>
                                <div class="form-group form-group-feedback form-group-feedback-left">
                                    <div class="form-control-feedback">
                                        <i class="fas fa-user"></i>
                                    </div>
                                    <input type="email" class="form-control" readonly placeholder="이메일" value="{{ $member['C4'] }}" id="email-txt">
                                </div>
                            </div>
{{--                            <div id="reset-pw-group">--}}
{{--                                <div class="form-group form-group-feedback form-group-feedback-left">--}}
{{--                                    <div class="form-control-feedback">--}}
{{--                                        <i class="fas fa-user-lock"></i>--}}
{{--                                    </div>--}}
{{--                                    <input type="password" id="password-txt" class="form-control" placeholder="Password">--}}
{{--                                </div>--}}
{{--                                <button type="button" id="reset-pw-btn" onclick="location.href='/reset-member-pw'" class="btn_sec">변경<!--@lang('genesis::page/my-page/member-edit.change')--></button>--}}
{{--                            </div>--}}

                            <div class="btn_wrap col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <button type="submit" class="btn_prime button-prevent-multiple-submits">
                                    <i class="spinner fa fa-spinner fa-spin"></i>
                                    변경사항 적용
                                </button>
                                <button type="button" class="btn_wh" onclick="">회원탈퇴</button>
                            </div>
                        </div>


                    </form>
                </div>
                <!-- /.col-md-10 -->

            </div>
            <!-- /.row -->
        </div>
        <!-- /.container -->
    </div>
    <!-- tabOne section end -->
@endsection

@push('js')
    <script>
        function change_profile() {
            $('#upload-file').trigger('click')
        }

        function file_upload($this) {
            const file = $($this)[0].files[0];
            const _URL = window.URL || window.webkitURL;
            $('#profile-img').attr('src', _URL.createObjectURL(file))
        }
    </script>
@endpush
