@extends('views.layouts.master')
@section('content')

    @php
        $sorder = $listType1Book['Book'][0]['Page'][0];
        $sorderBdPage = $listType1Book['Book'][1]['Page'];
    @endphp

    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">

        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>checkout ok</h2>

                        <ul>
                            <li><a href="#">Home</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>checkout ok</li>
                        </ul>

                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->
    <!-- about us wrapper start -->
    <div class="full_width sub_wrapper checkout_ok">

        <!-- container 시작 -->
        <div class="container">

        	<!-- row 시작 -->
            <div class="row">

                <div  class="left col-xl-8 col-lg-8 col-md-12 col-sm-12 col-xs-12">
                	<div class="card full_width">
                    	<p class="top_txt">
                        <img src="{{ asset('/themes/eyerecord/pro/resources/images/cart_ok.png') }}">
                        감사합니다. 고객님의 주문이 접수됐습니다.
                    </p>

                    <ul>
                        <li>
                            <em>주문 번호</em>
                            <strong>{{ $sorder['C1'] }}</strong>
                        </li>
                        <li>
                            <em>날짜</em>
                            <strong>{{ DataConverter::createFromTimestamp($sorder['C3'], 'Y-m-d H:i:s') }}</strong>
                        </li>
                        <li class="sum">
                            <em>총계</em>
                            <strong>₩ {{ number_format($sorderCharge['total']) }}</strong>
                        </li>
                        <li>
                            <em>결제 방법</em>
                            <strong>{{ DataConverter::execute($sorder['C8'], "paymethod('sorder')") }}</strong>
                        </li>
                    </ul>
                    </div>
                </div>

            	<div class="right col-xl-4 col-lg-4 col-md-12 col-sm-12 col-xs-12">
                    <div  class="sidebar_widget full_width">

                        <strong class="accordion"><span>장바구니 합계</span></strong>

                        <div class="info">
                            @forelse ($sorderBdPage ?? [] as $index => $sorderBd)
                                <dl>
                                    <dt>
                                        <p><strong>{{ $sorderBd['C4'] }}</strong> x {{ (int)$sorderBd['C7'] }}</p>
{{--                                        <em>만료일: </em>--}}
                                    </dt>
                                    <dd>₩ {{ number_format($sorderBd['C6']) }}</dd>
                                </dl>
                            @empty
                            @endforelse
                        </div>

                        <div class="sum">
                            <dl>
                                <dt>소계</dt>
                                <dd>₩ {{ number_format($sorderCharge['sub_total']) }}</dd>
                            </dl>
{{--                            <dl>--}}
{{--                                <dt>배송</dt>--}}
{{--                                <dd>무료배송</dd>--}}
{{--                            </dl>--}}
                            <dl>
                                <dt>결제 방법</dt>
                                <dd>{{ DataConverter::execute($sorder['C8'], "paymethod('sorder')") }}</dd>
                            </dl>
                        </div>

                        <div class="total">
                            <dl>
                                <dt>총계</dt>
                                <dd>₩ {{ number_format($sorderCharge['total']) }}</dd>
                            </dl>
                        </div>

                        <div class="btn_wrap">
                            <a href="{{ route('my-page.order-list') }}" class="btn_prime">주문 배송 페이지로</a>
                        </div>
                    </div>
            	</div>

            </div>
            <!--// row 끝 -->

        </div>
        <!--// container 끝 -->


    </div>

@endsection
