@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">

        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>checkout</h2>

                        <ul>
                            <li><a href="#">Home</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>checkout</li>
                        </ul>

                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->
    <!-- about us wrapper start -->
    <div class="full_width sub_wrapper checkout">

        <!-- container 시작 -->
        <div class="container">

        	<!-- row 시작 -->
            <form class="row" id="checkout-form" action="{{ route('checkout.store') }}" method="POST">
                <input type="hidden" name="ship_fee" value="0">
                @csrf
            	<div class="left col-xl-8 col-lg-8 col-md-12 col-sm-12 col-xs-12">
                	<div class="card full_width">
                    	<h6>고객 정보</h6>

                        <div class="input_box f_name">
                                <label class="need">고객(회사)명</label>
                                <input type="text" value="{{ $member['C6'] }}" disabled>
                            </div>

                            <div class="input_box l_name">
                                <label class="need">이메일</label>
                                <input type="text" value="{{ $member['C4'] }}" disabled>
                            </div>
{{--                            <div class="input_box company">--}}
{{--                                <label>고객(회사)정식 명칭</label>--}}
{{--                                <input type="text" value="{{ $member['C6'] }}" disabled>--}}
{{--                            </div>--}}
                    </div>

                    <div class="card full_width">
                        <h6>결재방법</h6>

                        <div class="account-content page-pc" id="paymethod-div">
                            <div class="d-flex align-items-center">
                                @php
                                    $shopPayMethodSetup = json_decode($listType1Book['Book'][5]['Page'][0]['C1'], true);
                                @endphp
                                @forelse ($codeTitle['paymethod']['sorder'] ?? [] as $key => $paymethod)
                                    @php
                                        $key = 'Is' . $paymethod['Code'];
                                    @endphp
                                    @if (array_key_exists( $key,  $shopPayMethodSetup) && $shopPayMethodSetup[$key])
                                        <div class="paymethod-div d-flex mr-3">
                                            <input type="radio" value="{{ $paymethod['Code'] }}" name="paymethod" id="paymethod-radio-{{ $paymethod['Code'] }}" {{ $paymethod['Code'] === 'Remit' ? 'checked' : '' }} onclick="checkBox(this)">
                                            <label for="paymethod-radio-{{ $paymethod['Code'] }}" class="form-label ml-1 mb-0">{{ $paymethod['Title'] }}</label>
                                        </div>
                                    @endif
                                @empty
                                    <div class="col">
                                        비어있습니다
                                    </div>
                                @endforelse

                            </div>

                            <div id="paymethod-Remit" class="divcont virtual-account-payment pay-type-content">
                                <p class="validate-message" style="display: none;"></p>
                                <ul class="pay-type-sections">
                                    <li class="deposit-bank-wrap pay-type-section mt-2">
                                        <label for="deposit-bank-select" class="line-title">은행명</label>
                                        <div class="line-data">
                                            <select id="deposit-bank-select" onchange="change_remit_account(this)" class="form-control mb-2">
                                                <option value="" selected>선택</option>
                                                @forelse ($listType1Book['Book'][2]['Page'] ?? [] as $index => $setup)
                                                    @php
                                                        $remitAccountSetup = json_decode($setup['C1'], true);
                                                    @endphp
                                                    <option data-holder-name="{{ $remitAccountSetup['HolderName'] }}"
                                                            value="{{ $remitAccountSetup['AccountNo'] }}">{{ $remitAccountSetup['BankName'] }}</option>
                                                @empty
                                                @endforelse
                                            </select>
                                            <p class="validate-message" style="display: none;">은행을 선택해 주세요</p>
                                            <p class="pay-box__deactivated-payment-notice" id="bank-name-txt"></p>

                                        </div>
                                    </li>
                                    <li class="payBox-section pay-type-section mt-2">
                                        <label class="line-title d-block">계좌번호</label>
                                        <input type="text" class="form-control" id="account-no-txt" readonly>
                                    </li>

                                    <li class="payBox-section pay-type-section mt-2">
                                        <label class="line-title d-block">예금주</label>
                                        <input type="text" class="form-control" id="holder-name-txt" readonly>
                                    </li>

                                    <li class="payBox-section pay-type-section mt-2">
                                        <label class="line-title d-block">입금자명</label>
                                        <input type="text" class="form-control" name="remit_name" id="remit-name-txt">
                                    </li>
                                </ul>

                                <dl class="virtual-account-payment-explain mt-2">
                                    <dt class="mb-2">무통장입금 시 유의사항</dt>
                                    <dd>입금완료 후 상품품절로 인해 자동취소된 상품은 환불 처리해 드립니다.</dd>
                                    <dd>무통장입금 결제 시 부분취소가 불가하며 전체취소 후 다시 주문하시기 바랍니다.</dd>
                                    <dd>은행 이체 수수료가 발생될 수 있습니다. 입금시 수수료를 확인해주세요.</dd>
                                </dl>
                            </div>


                            <div id="paymethod-CrCard" class="divcont virtual-account-payment pay-type-content">
                            </div>
                        </div>
                    </div>

                    <div class="card full_width">
                    	<h6>추가 정보</h6>

                        <div class="input_box">
                            <label>주문 메모 (선택 사항)</label>
                            <select hidden>
                                <option value=""></option>
                                <option>부재시 전화나 문자 주세요.</option>
                                <option>부재시 경비실에 맡겨주세요.</option>
                                <option>부재시 문앞에 둬 주세요.</option>
                            </select>
                            <textarea placeholder="주문 관련 메시지, 예) 배송 관련 메모." name="remarks"></textarea>
                        </div>
                	</div>
            	</div>

            	<div class="right col-xl-4 col-lg-4 col-md-12 col-sm-12 col-xs-12">
                	<div class="sidebar_widget full_width">
                    	<strong class="accordion"><span>고객님의 주문</span></strong>

                        <div class="info">
                            @forelse ($listType1Book['Book'][0]['Page'] ?? [] as $cart)
                                <dl>
                                    <dt><strong>{{ Str::limit($cart['C4'], 25, '...') }}</strong>  x {{ number_format($cart['C7']) }}</dt>
                                    <dd>₩ {{ number_format($cart['C6']) }}</dd>
                                </dl>
                            @empty

                            @endforelse
                        </div>

                        <div class="sum mt-3">
                            <dl>
                                <dt>소계</dt>
                                <dd>₩ {{ number_format($checkoutCharge['sub_total']) }}</dd>
                            </dl>
{{--                            <dl>--}}
{{--                                <dt>배송</dt>--}}
{{--                                <dd>무료배송</dd>--}}
{{--                            </dl>--}}
{{--                            <dl>--}}
{{--                                <dt>결제 방법</dt>--}}
{{--                                <dd>직접 은행 계좌 이체</dd>--}}
{{--                            </dl>--}}
                        </div>

                        <div class="total">
                            <dl>
                                <dt>총계</dt>
                                <dd>₩ {{ number_format($checkoutCharge['total']) }}</dd>
                            </dl>
                        </div>

                        <div class="agree">
                        	<div>
                                <p>
                                    고객 적립급 지급 후 환불 불가합니다.<br>
                                    구매조건을 확인하고 결제 진행에 동의합니다.
                                </p>
                                <input type="checkbox" class="need" id="show-policy-check" required> 본인은 웹사이트 이용 약관 과 개인정보 보호정책 을(를) 읽었으며 이에 동의합니다.
                            </div>
                        </div>

                    	<div class="btn_wrap">
                        	<button type="submit" class="btn_prime button-prevent-multiple-submits">
                                <i class="spinner fa fa-spinner fa-spin"></i>
                                주문확정
                            </button>
                        </div>

                </div>
            	</div>

            </form>
            <!--//row 끝 -->

        </div>
        <!--// container 끝 -->

    </div>

@endsection

@push('js')
<script type="text/javascript" src="https://cdn.iamport.kr/js/iamport.payment-1.2.0.js"></script>
    <script>
        $(document).ready(function() {
            checkBox('#paymethod-radio-Remit')

            IMP.init(import_pg_setup['MerchantId']);
        });

        function request_pay() {
            const checkout_form = $('#checkout-form')
            const amount = @json($checkoutCharge['total']);
            const item_name = @json($checkoutCharge['item_name']);
            // IMP.request_pay(param, callback) 결제창 호출
            IMP.request_pay({ // param
                pg: import_pg_setup['PG'],
                pay_method: "card",
                // merchant_uid: "",
                name: item_name,
                amount: Number(amount),
                buyer_email: window.Member['Email'],
                buyer_name: $(checkout_form).find('input[name="ship_contact"]').val(),
                buyer_tel: $(checkout_form).find('input[name="ship_mobile"]').val(),
                buyer_addr: $(checkout_form).find('input[name="ship_addr1"]').val(),
                buyer_postcode: $(checkout_form).find('input[name="ship_zip_code"]').val()
            }, function (rsp) { // callback
                if (rsp.success) {
                    success_external_payment_callback(checkout_form)
                    $(checkout_form).trigger('submit', true)
                } else {
                    failed_external_payment_callback(checkout_form)
                }
            });
        }

        function fn_move(dom_val){
            // $(dom_val).focus()
            const offset = $(dom_val).offset()
            $('html, body').animate({scrollTop : offset.top - 250}, 400)
        }

        function failed_external_payment_callback(checkout_form) {
            $(checkout_form).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'status', 'value': 'F' }))
            $(checkout_form).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'situation', 'value': 'FF' }))
            $(checkout_form).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'situation_title', 'value': format_conver_for('FF', "situation('sorder')") }))
        }

        function success_external_payment_callback(checkout_form) {
            $(checkout_form).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'status', 'value': '1' }))
            $(checkout_form).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'ok_success', 'value': true }))
            $(checkout_form).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'ok_paid', 'value': true }))
        }

        // 결제방법 에따른 체크 메시지
        function check_paymethod_radio() {
            const paymethod = $('input[name=paymethod]:checked').val()

            // console.log(paymethod)
            switch (paymethod) {
                case 'Remit':
                    const deposit_bank_select = '#deposit-bank-select option:selected'

                    if (isEmpty($('#paymethod-Remit').find('#remit-name-txt').val())) {
                        fn_move('#paymethod-Remit #remit-name-txt')
                        return { error: true, msg: '입금자명을 입력하세요'  }
                    } else if (isEmpty($(deposit_bank_select).val())) {
                        fn_move('#deposit-bank-select')
                        return { error: true, msg: '무통장입금 계좌를 선택하세요'  }
                    }

                    return { error: false, data: []  }
                default:
                    return { error: false, data: []  }
            }
        }

        // 결제방법에 따른 폼데이터 추가
        function create_add_form_data($this) {
            // 동적으로 추가한 폼데이터 삭제
            $($this).find('.dynamic_add_data').remove()

            const paymethod = $('input[name=paymethod]:checked').val()
            const checkout_charge = @json($checkoutCharge);
            switch (paymethod) {
                case 'Remit':
                    const deposit_bank_select = '#deposit-bank-select option:selected'
                    const remit_account = $(deposit_bank_select).text() + ' ' + $('#account-no-txt').val() + ' ' + $('#holder-name-txt').val()

                    $($this).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'cash_amt', 'value': checkout_charge['total'] }))
                    $($this).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'remit_account', 'value': remit_account }))
                    $($this).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'ok_success', 'value': true }))
                    return { error: false, data: []  }
                case 'CrCard':
                    $($this).append($('<input>', { 'type': 'hidden', 'class': 'dynamic_add_data', 'name': 'ccard_amt', 'value': checkout_charge['total'] }))
                    request_pay()
                    return { error: true, msg: ''  }
            }

        }

        $('#checkout-form').on('submit', function (event, direct_submit) {
            event.preventDefault()

            // 바로 submit
            if (direct_submit) {
                return this.submit()
            }

            const sub_total = @json($checkoutCharge['sub_total']);
            if (sub_total <= 0) {
                return iziToast.info({ title: 'Info', message: '쇼핑카트가 비어있습니다' })
            }

            const result = check_paymethod_radio()
            if (result['error']) {
                return iziToast.info({ title: 'Info', message: result['msg'] })
            }

            click_submit_btn(this)

            if (create_add_form_data(this)['error']) {
                return click_submit_btn(this, false)
            }

            this.submit()
        })

        function change_remit_account($this) {
            $('.pay-type-content #account-no-txt').val($($this).val())
            $('.pay-type-content #holder-name-txt').val($($this).find('option:selected').data('holder-name'))
        }

        function checkBox($this) {
            const payMethod = document.getElementsByName('paymethod'); //체크박스 name
            $(payMethod).each(function () {
                const disign = $('#paymethod-' +  $(this).val())// 보여질내용
                if($(this).val() === $($this).val()) {
                    disign.show()
                } else{
                    disign.hide()
                }
            });
        }

        const import_pg_setup = @json($importPgSetup);
    </script>
@endpush
