@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2> 로그인 </h2>
                        <ul>
                            <li><a href="#">홈</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>로그인</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->

    @php
        if ($member = unserialize(Cookie::get('dabory_member_info'))) {
          $email = $member['Email'];
          $password  = $member['Password'];
          $isRemember = "checked='checked'";
        }
        else {
          $email = '';
          $password = '';
          $isRemember = '';
        }
    @endphp

    <!-- login register Wrapper start -->
    <div class="login_wrapper_top find_id full_width">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-12 col-md-12">
                    <div class="login_img_wrapper full_width"> <img src="{{ asset('/themes/eyerecord/pro/resources/images/login.png') }}" alt="img" class="img-responsive"> </div>
                </div>

                <div class="col-xl-6 col-lg-12 col-md-12">
                    <div class="login_tab_top_wrap full_width">
                        <div class="tab-content full_width">
                            <div id="home1" class="tab-pane active">
                                <div class="row">
                                    <form class="login_wrapper full_width form-prevent-multiple-submits" method="POST" action="{{ route('member-login.store') }}">
                                        @csrf
                                        <input type="hidden" name="previous_url" value="{{ session('url.intended') }}">
                                        <div class="col-lg-12 col-md-12 col-12 col-sm-12">
                                            <div class="formsix-pos">
                                                <div class="form-group i-email">
                                                    <label>이메일 주소</label>
                                                    <input type="text" class="form-control" name="email" placeholder="Email Address*" value="{{ $develLoginInfo['MemberEmail'] ?? $email }}"> </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-md-12 col-12 col-sm-12">
                                            <div class="formsix-e">
                                                <div class="form-group pd_otp_wrapper float_left">
                                                    <label>비밀번호</label>
                                                    <input id="password-field" class="form-control" name="password" type="password" placeholder="Enter Password" value="{{ $develLoginInfo['MemberPasswd'] ?? $password }}"> <span></span> </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-md-12 col-12 col-sm-12">
                                            <div class="login_remember_box">
                                                <label class="control control--checkbox">회원 이메일 기억
                                                    <input type="checkbox" name="remember" value="1" {{ $isRemember }}> <span class="control__indicator"></span> </label> <a href="" class="forget_password">
                                                    비밀번호 찾기
                                                </a> </div>
                                            <div class="see_more_btn signin_btn full_width">
                                                <ul>
                                                    <li>
                                                        <button type="submit" class="p-0 border-0 member-login-btn button-prevent-multiple-submits">
                                                            <a class="w-100">
                                                                <i class="spinner fa fa-spinner fa-spin"></i>
                                                                로그인
                                                            </a>
                                                        </button>
                                                    </li>
                                                </ul>
                                            </div>
                                            <p class="account_setting full_width">계정이 아직 없으신가요 ? <a href="{{ route('member-signup-agree') }}">회원등록 ! </a></p>
                                            <h5 class="login_or_text">or</h5> </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                                <div class="google_wrap full_width">
                                                    <a href="https://www.google.com/"> <i class="fab fa-google"></i> Google </a>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                                <div class="facebook_wrap full_width">
                                                    <a href="https://www.kakao.com/lite/"> <i class="fas fa-comment-dots"></i> Kakao </a>
                                                </div>
                                            </div>
                                        </div></br>
                                        <!-- <div class="row">
                                            <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                                <div class="google_wrap full_width">
                                                    <a href="https://www.goodle.com/"> <i class="fab fa-pinterest-p"></i> Google </a>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                                <div class="facebook_wrap full_width">
                                                    <a href="https://www.kakao.com/lite/"> <i class="fab fa-facebook-f"></i> Facebook</a>
                                                </div>
                                            </div>
                                        </div> -->
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- login register Wrapper end -->
@endsection
