@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2> 로그인 </h2>
                        <ul>
                            <li><a href="#">홈</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>로그인</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->

    @php
        if ($member = unserialize(Cookie::get('dabory_member_info'))) {
          $email = $member['Email'];
          $password  = $member['Password'];
          $isRemember = "checked='checked'";
        }
        else {
          $email = '';
          $password = '';
          $isRemember = '';
        }
    @endphp

    <!-- login register Wrapper start -->
    <div class="login_wrapper_top find_id full_width">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-12 col-md-12">
                    <div class="login_img_wrapper full_width"> <img src="{{ asset('/themes/eyerecord/pro/resources/images/login.png') }}" alt="img" class="img-responsive"> </div>
                </div>

                <div class="col-xl-6 col-lg-12 col-md-12">
                    <div class="login_tab_top_wrap full_width">
                        <div class="tab-content full_width">
                            <div id="home1" class="tab-pane active">
                                <div class="row">
                                    <div class="login_wrapper full_width form-prevent-multiple-submits" method="POST" action="{{ route('member-login.store') }}">
                                        <div class="row">
                                            @php
                                                $iconList = [ 'google' => 'fab fa-google', 'kakao' => 'fas fa-comment-dots' ]
                                            @endphp
                                            @foreach ($oauth2InfoList ?? [] as $provider => $oauth2)
                                                <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                                    <div class="{{ $provider . '_wrap' }} full_width">
                                                        <button type="button"
                                                                onclick="window.location.href = '{{ route('social.redirectToProvider', [ 'oauth2Info' => $oauth2, 'provider' => $provider, 'target' => 'member' ]) }}'">
                                                            <i class="{{ $iconList[$provider] ?? '' }}"></i> {{ $oauth2['LoginButtonString'] }}
                                                        </button>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                        <!-- <div class="row">
                                            <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                                <div class="google_wrap full_width">
                                                    <a href="https://www.goodle.com/"> <i class="fab fa-pinterest-p"></i> Google </a>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-6 col-sm-6">
                                                <div class="facebook_wrap full_width">
                                                    <a href="https://www.kakao.com/lite/"> <i class="fab fa-facebook-f"></i> Facebook</a>
                                                </div>
                                            </div>
                                        </div> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- login register Wrapper end -->
@endsection
