@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>signup agree</h2>
                        <ul>
                            <li><a href="#">Home</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>signup agree</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->
    <!-- login register Wrapper start -->
    <div class="login_wrapper_top full_width">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-12 col-md-12">

                    <div class="login_tab_top_wrap full_width">
                    	<div class="tab-content full_width">
                            <div>
                                <div class="row">
                                    <div class="login_wrapper full_width">

                                    	<h5 class="main_top_heading">서비스 이용 약관 동의</h5>

                                        <dl class="agree_check">
                                            <dt>
                                                <input type="checkbox" id="all-ck"> 이용 약관에 모두 동의합니다.
                                            </dt>
                                            <div id="required-div">
                                                <dd><input type="checkbox"> <em>[필수]</em> 만 18세 이상 입니다.</dd>
                                                <dd><input type="checkbox"> <em>[필수]</em>당근토큰 웹 서비스 이용약관</dd>
                                                <dd><input type="checkbox"> <em>[필수]</em>당근토큰 웹 서비스 이용약관</dd>
                                                <dd><input type="checkbox"> <em>[필수]</em> 전자금융거래 이용약관</dd>
                                                <dd><input type="checkbox"> <em>[필수]</em> 개인정보 수집 및 이용 동의</dd>
                                                <dd><input type="checkbox"> <em>[필수]</em> 마케팅 수신 동의</dd>
                                            </div>
                                        </dl>

                                        <div class="js_btn_wrapper full_width">
                                        	<button type="button" class="submitForm" onclick="all_check()">가입하기</button>
                                       	</div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- login register Wrapper end -->
@endsection

@push('js')
    <script>
        $('#all-ck').click(function(){
            const checked = $(this).is(':checked');

            if (checked) {
                $('input:checkbox').prop('checked', true);
            }
        });

        function all_check() {
            let all_check = true

            $('#required-div input').each(function () {
                if (! $(this).is(':checked')) {
                    all_check = false
                }
            })

            if (all_check) {
                location.href = '{{ route('member-signup-verify.index') }}'
                return
            }
            iziToast.info({ title: 'Info', message: '이용약관에 동의하셔야 합니다' });
        }
    </script>
@endpush
