@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>Sign Up</h2>
                        <ul>
                            <li><a href="#">Home</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>Sign up</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->
    <!-- login register Wrapper start -->
    <div class="login_wrapper_top  full_width">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-12 col-md-12">

                    <div class="login_tab_top_wrap full_width">
                        <div class="tab-content full_width">
                            <div>
                                <div class="row">
                                    <div class="login_wrapper full_width">

                                        <form action="{{ route('member-verify-resend') }}" class="flex-fill form-prevent-multiple-submits" method="POST">
                                            @csrf
                                            <input type="hidden" name="activate_code" id="activate-code">
                                            <input type="hidden" name="event" value="resend-auth-email">

                                            <h5 class="main_top_heading">이메일 인증 재전송</h5>
                                            <div class="form-group">
                                                <input type="email" name="email" class="form-control w-100" id="input-email-txt" value="{{ request('email') }}" placeholder="이메일 입력" required>

                                            </div>

                                            <div class="js_btn_wrapper full_width">
                                                <button type="submit" class="submitForm button-prevent-multiple-submits" id="send-email-btn">
                                                    <i class="spinner fa fa-spinner fa-spin"></i>
                                                    재전송
                                                </button>
                                            </div>

                                        </form>


                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- login register Wrapper end -->
@endsection
