@inject('callApiService', 'App\Services\CallApiService')

<!-- footer Wrapper start -->
<div class="footer_wrapper full_width">

    <div class="container">
        <div class="row">

            <div class="col-lg-3 col-md-6 col-12 col-sm-12">
                <div class="footer_widget full_width">
                    <a href="{{ route('contact-us') }}">회사소개</a>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 col-12 col-sm-12">
                <div class="footer_widget full_width">
                    <a href="{{ route('my-page.policy.index') }}">이용약관</a>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 col-12 col-sm-12">
                <div class="footer_widget full_width">
                    <a href="{{ route('my-page.privacy.index') }}">개인정보처리방침</a>
                </div>
            </div>

            @if (config('app.env') === 'local')
                <div class="sel_mem text-white bg-primary">
                    <div class="dropdown show">
                        <a class="btn tw-bg-teal-500 dropdown-toggle px-1" role="button"
                           id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            라우터1
                        </a>

                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                            <a class="dropdown-item" href="{{ route('user-login') }}">관리자</a>
                            <a class="dropdown-item" href="{{ route('member-login') }}">member-login</a>
                            <a class="dropdown-item" href="{{ route('member-local-login') }}">member-local-login</a>
                            <a class="dropdown-item" href="{{ route('find-password') }}">find-password</a>
                            <a class="dropdown-item" href="{{ route('signin-activate-failed') }}">signin-activate-failed</a>
                            <a class="dropdown-item" href="{{ route('member-go-email') }}">member-go-email</a>
                            <a class="dropdown-item" href="{{ route('member-signup-agree') }}">member-signup-agree</a>
                            <a class="dropdown-item" href="{{ route('signin-id') }}">signin-id</a>
                            <a class="dropdown-item" href="{{ route('identification-success') }}">identification-success</a>
                            <a class="dropdown-item" href="{{ route('signin-verify-resend') }}">signin-verify-resend</a>
                            <a class="dropdown-item" href="{{ route('signin-withdraw-cancel') }}">signin-withdraw-cancel</a>
                            <a class="dropdown-item" href="{{ route('member-signup-verify.index') }}">member-signup-verify</a>
                            <a class="dropdown-item" href="{{ route('signin-verify') }}">signin-verify</a>
                            <a class="dropdown-item" href="{{ route('signin-pw-change') }}">signin-pw-change</a>
                            <a class="dropdown-item" href="{{ route('signin-pw-reset') }}">signin-pw-reset</a>
                            <a class="dropdown-item" href="{{ route('member-verify-ok') }}">member-verify-ok</a>
                            <a class="dropdown-item" href="{{ route('signin-pw') }}">signin-pw</a>
                            <a class="dropdown-item" href="{{ route('signin-pw-memcheck') }}">signin-pw-memcheck</a>
                            <a class="dropdown-item" href="{{ route('signin-pw-verify') }}">signin-pw-verify</a>
                            <a class="dropdown-item" href="{{ route('signin-pw-verifyinput') }}">signin-pw-verifyinput</a>
                            <a class="dropdown-item" href="{{ route('signin-pw-reset') }}">signin-pw-reset</a>
                            <a class="dropdown-item" href="{{ route('signin-pw-reset-code-failed') }}">signin-pw-reset-code-failed</a>
                            <a class="dropdown-item" href="{{ route('member-signup') }}">signup</a>


                            <li class="parent"> <a href="{{ route('cart.index') }}"><i class="fas fa-caret-right"></i>cart</a> </li>
                            <li class="parent"> <a href="{{ route('wish-list') }}"><i class="fas fa-caret-right"></i>wish-list</a> </li>
                            <li class="parent"> <a href="{{ route('checkout.index') }}"><i class="fas fa-caret-right"></i>checkout</a> </li>
                            <li class="parent"> <a href="{{ route('checkout-ok') }}"><i class="fas fa-caret-right"></i>checkout-ok</a> </li>
                            <li class="parent"> <a href="{{ route('checkout-failed') }}"><i class="fas fa-caret-right"></i>checkout-failed</a> </li>
                            <li class="parent"> <a href="{{ route('credit-item-detail', 0) }}"><i class="fas fa-caret-right"></i>credit-item-detail</a> </li>
                        </div>
                    </div>
                </div>
            @endif
        </div>
    </div>
</div>

@php
$cmFooter = $callApiService->callApi([
    'url' => 'list-type1-page',
    'data' => [
        'QueryVars' => [
            'QueryName' => 'pro/widget-taxo',
            'SimpleFilter' => "mx.taxo_code='cm-footer'",
            'IsntPagination' => true,
        ],
        'PageVars' => [
            'Limit' => 10
        ]
    ]
]);
@endphp

<div class="footer_bottom_wrapper full_width">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                @forelse ($cmFooter['Page'] ?? [] as $index => $widget)
                    <div class="btm_foter_box">
                        <img src="{{ asset('/themes/eyerecord/pro/resources/images/ft_logo.png') }}" alt="img">
                        {!! $widget['C4'] !!}
                    </div>
                @empty
                @endforelse
            </div>
        </div>
    </div>
</div>
