<!-- header wrapper start -->
<nav class="cd-dropdown d-block d-sm-block d-md-block d-lg-none d-xl-none">
    <h2><a href="{{ route('home') }}"> <img src="{{ asset('/themes/eyerecord/pro/resources/images/logo2.png') }}" alt="img"></a></h2>
    <a href="#0" class="cd-close">Close</a>
    <ul class="cd-dropdown-content">

        <!--<li class="has-children">-->
        <li>
            <a href="#">서비스</a>
            <!--
            <ul class="cd-secondary-dropdown icon_menu is-hidden">
                <li class="go-back"><a href="#0">Menu</a></li>
                <li><a href="{{ route('api-integration') }}">개인 안경원</a></li>
                <li><a href="{{ route('api-integration') }}">체인 안경원</a></li>
                <li><a href="{{ route('api-integration') }}">제조 / 유통사</a></li>
                <li><a href="{{ route('api-integration') }}">부가 서비스</a></li>
                <li><a href="{{ route('pricing.index') }}">문자 서비스 상품</a></li>
            </ul>
            -->
        </li>
        <li><a href="{{ route('credit-item-list', 'textms') }}"> 문자상품 구매 </a></li>
        <li class="has-children">
            <a href="#">마이페이지</a>
            <ul class="cd-secondary-dropdown icon_menu is-hidden">
                <li class="go-back"><a href="#0">Menu</a></li>
                <li><a href="{{ route('my-page.order-list') }}">주문 내역</a></li>
                <li><a href="{{ route('my-page.credit-io-list') }}">충전금 입출내역</a></li>
                <li><a href="{{ route('my-page.member-edit.index') }}">회원 정보</a></li>
                <li><a href="{{ route('my-page.policy.index') }}">이용 약관</a></li>
                <li><a href="{{ route('my-page.privacy.index') }}">개인정보 보호정책</a></li>
{{--                <li><a href="{{ route('my-page.e-finance.index') }}">전자금융 이용약관</a></li>--}}
                <li><a href="{{ route('my-page.refund.index') }}">교환환불 정책</a></li>
            </ul>
        </li>
        <li><a href="{{ route('cart.index') }}"> 장바구니 </a></li>

        @if (session()->missing('member.is_member'))
            <li>
                <a href="{{ route('member-login') }}"> 로그인 </a>
            </li>
        @else
            <li>
                <a href="{{ route('member-logout') }}"> 로그아웃 </a>
            </li>
        @endif
    </ul>
    <!-- .cd-dropdown-content -->
</nav>

{{-- 홈이 아닐 때는 sms_inner_navigation 클래스가 추가됨(navbar 색상이 다름) --}}
<div class="sm_navi_main_wrapper full_width @if (request()->route()->getName() !== 'home') sms_inner_navigation @endif">
	<!-- inner 시작 -->
    <div class="inner">

        <div class="container-fluid">
            <div class="sm_logo_wrapper">
                <a href="{{ route('home') }}">
                    {{-- 홈이면 logo.png 파일 아니면 logo2.png를 로고로 사용. --}}
                    @if (request()->route()->getName() === 'home')
                        <img src="{{ asset('/themes/eyerecord/pro/resources/images/logo.png') }}" alt="logo">
                    @else
                        <img src="{{ asset('/themes/eyerecord/pro/resources/images/logo2.png') }}" alt="logo">
                    @endif
                </a>
            </div>
            <!-- mobile menu area start -->
            <header class="sm_mobail_menu d-block d-sm-block d-md-block d-lg-none d-xl-none">

                <div class="row">
                    <div class="col-lg-6">
                        <div class="cd-dropdown-wrapper">
                            <a class="house_toggle inner_toggle" href="#0">
                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="Capa_1" x="0px" y="0px" viewBox="0 0 31.177 31.177" style="enable-background:new 0 0 31.177 31.177;" xml:space="preserve" width="25px" height="25px">
                                        <g>
                                            <g>
                                                <path class="menubar" d="M30.23,1.775H0.946c-0.489,0-0.887-0.398-0.887-0.888S0.457,0,0.946,0H30.23    c0.49,0,0.888,0.398,0.888,0.888S30.72,1.775,30.23,1.775z" fill="#fff" />
                                            </g>
                                            <g>
                                                <path class="menubar" d="M30.23,9.126H12.069c-0.49,0-0.888-0.398-0.888-0.888c0-0.49,0.398-0.888,0.888-0.888H30.23    c0.49,0,0.888,0.397,0.888,0.888C31.118,8.729,30.72,9.126,30.23,9.126z" fill="#fff" />
                                            </g>
                                            <g>
                                                <path class="menubar" d="M30.23,16.477H0.946c-0.489,0-0.887-0.398-0.887-0.888c0-0.49,0.398-0.888,0.887-0.888H30.23    c0.49,0,0.888,0.397,0.888,0.888C31.118,16.079,30.72,16.477,30.23,16.477z" fill="#fff" />
                                            </g>
                                            <g>
                                                <path class="menubar" d="M30.23,23.826H12.069c-0.49,0-0.888-0.396-0.888-0.887c0-0.49,0.398-0.888,0.888-0.888H30.23    c0.49,0,0.888,0.397,0.888,0.888C31.118,23.43,30.72,23.826,30.23,23.826z" fill="#fff" />
                                            </g>
                                            <g>
                                                <path class="menubar" d="M30.23,31.177H0.946c-0.489,0-0.887-0.396-0.887-0.887c0-0.49,0.398-0.888,0.887-0.888H30.23    c0.49,0,0.888,0.398,0.888,0.888C31.118,30.78,30.72,31.177,30.23,31.177z" fill="#fff" />
                                            </g>
                                        </g>
                                    </svg>
                            </a>
                            <!-- .cd-dropdown -->

                        </div>
                    </div>
                </div>

                <!-- .cd-dropdown-wrapper -->
            </header>
            <div class="sm_top_header_right_wrapper">

                <div class="header_btn">
                    <ul>
                        @if (session()->missing('member.is_member'))
                            <li>
                                <a href="{{ route('member-login') }}"> 로그인 </a>
                            </li>
                            <!-- <li>
                                <a href="{{ route('member-signup-agree') }}"> 회원가입 </a>
                            </li> -->
                        @else
                            <li>
                                <a class="mr-0" href="{{ route('member-logout') }}"> 로그아웃 </a>
                            </li>
                        @endif
                    </ul>

                </div>
            </div>

            <div class="sm_navigation_wrapper">
                <div class="mainmenu d-xl-block d-lg-block d-md-none d-sm-none d-none">
                    <ul class="main_nav_ul">

                        <li class="has-mega gc_main_navigation"><a href="#0" class="gc_main_navigation">서비스 <!--<i class="fas fa-caret-down"></i>--></a>
                            <!--
                            <ul class="navi_2_dropdown">
                                <li class="parent"> <a href="{{ route('api-integration') }}"><i class="fas fa-caret-right"></i>개인 안경원</a> </li>
                                <li class="parent"> <a href="{{ route('api-integration') }}"><i class="fas fa-caret-right"></i>체인 안경원</a> </li>
                                <li class="parent"> <a href="{{ route('api-integration') }}"><i class="fas fa-caret-right"></i>제조 / 유통사</a> </li>
                                <li class="parent"> <a href="{{ route('api-integration') }}"><i class="fas fa-caret-right"></i>부가 서비스</a> </li>
                                <!-- <li class="parent"> <a href="{{ route('pricing.index') }}"><i class="fas fa-caret-right"></i>문자 서비스 상품</a> </li> -->
                            <!--</ul>
                            -->
                        </li>
{{--                        <li><a href="{{ route('home') }}" class="gc_main_navigation">고객지원</a></li>--}}
{{--                        <li><a href="/about-us" class="gc_main_navigation">문의하기</a></li>--}}
{{--                        <li><a href="#" class="gc_main_navigation">회사소개</a></li>--}}

                        <!-- <li class="has-mega gc_main_navigation"><a href="#0" class="gc_main_navigation">회원 <i class="fas fa-caret-down"></i></a>
                            <ul class="navi_2_dropdown">
                                <li class="parent"> <a href="{{ route('member-go-email') }}"><i class="fas fa-caret-right"></i>member-go-email</a> </li>
                                <li class="parent"> <a href="{{ route('member-signup') }}"><i class="fas fa-caret-right"></i>member-signup</a> </li>
                                <li class="parent"> <a href="{{ route('member-verify-ok') }}"><i class="fas fa-caret-right"></i>member-verify-ok</a> </li>
                                <li class="parent"> <a href="{{ route('member-verify-resend') }}"><i class="fas fa-caret-right"></i>member-verify-resend</a> </li>
                                <li class="parent"> <a href="{{ route('password-reset') }}"><i class="fas fa-caret-right"></i>password-reset</a> </li>
                                <li class="parent"> <a href="{{ route('member-withdraw-cancel') }}"><i class="fas fa-caret-right"></i>member-withdraw-cancel</a> </li>
                                <li class="parent"> <a href="{{ route('member-sso-login') }}"><i class="fas fa-caret-right"></i>member-sso-login</a> </li>
                                <li class="parent"> <a href="{{ route('member-login') }}"><i class="fas fa-caret-right"></i>member-login</a> </li>
                                <li class="parent"> <a href="{{ route('member-signup-agree') }}"><i class="fas fa-caret-right"></i>member-signup-agree</a> </li>
                                <li class="parent"> <a href="{{ route('member-signup-verify.index') }}"><i class="fas fa-caret-right"></i>member-signup-verify</a> </li>
                                <li class="parent"> <a href="{{ route('member-activate-failed') }}"><i class="fas fa-caret-right"></i>member-activate-failed</a> </li>
                                <li class="parent"> <a href="{{ route('password-reset-code-failed') }}"><i class="fas fa-caret-right"></i>password-reset-code-failed</a> </li>
                                <li class="parent"> <a href="{{ route('find-member-id-verify') }}"><i class="fas fa-caret-right"></i>find-member-id-verify</a> </li>
                                <li class="parent"> <a href="{{ route('find-member-id') }}"><i class="fas fa-caret-right"></i>find-member-id</a> </li>
                                <li class="parent"> <a href="{{ route('find-member-pw-memcheck') }}"><i class="fas fa-caret-right"></i>find-member-pw-memcheck</a> </li>
                                <li class="parent"> <a href="{{ route('find-member-pw-verify') }}"><i class="fas fa-caret-right"></i>find-member-pw-verify</a> </li>
                            </ul>
                        </li> -->

                        <li class="has-mega gc_main_navigation"><a href="{{ route('credit-item-list', 'textms') }}" class="gc_main_navigation">문자상품 구매 <!--<i class="fas fa-caret-down"></i>--></a>
                        </li>
                        <li class="has-mega gc_main_navigation"><a href="#0" class="gc_main_navigation">마이페이지<i class="fas fa-caret-down"></i></a>
                            <ul class="navi_2_dropdown">
                                <li class="parent"> <a href="{{ route('my-page.order-list') }}"><i class="fas fa-caret-right"></i>주문 내역</a> </li>
                                <li class="parent"> <a href="{{ route('my-page.credit-io-list') }}"><i class="fas fa-caret-right"></i>충전금 입출내역</a> </li>
                                <li class="parent"> <a href="{{ route('my-page.member-edit.index') }}"><i class="fas fa-caret-right"></i>회원 정보</a> </li>
                                <li class="parent"> <a href="{{ route('my-page.policy.index') }}"><i class="fas fa-caret-right"></i>이용 약관</a> </li>
                                <li class="parent"> <a href="{{ route('my-page.privacy.index') }}"><i class="fas fa-caret-right"></i>개인정보 보호정책</a> </li>
{{--                                <li class="parent"> <a href="{{ route('my-page.e-finance.index') }}"><i class="fas fa-caret-right"></i>전자금융 이용약관</a> </li>--}}
                                <li class="parent"> <a href="{{ route('my-page.refund.index') }}"><i class="fas fa-caret-right"></i>교환환불 정책</a> </li>

                                <li class="parent"> <a href="{{ route('paq') }}"><i class="fas fa-caret-right"></i>자주묻는 질문</a> </li>
                                <!-- <li class="parent"> <a href="{{ route('contact-us') }}"><i class="fas fa-caret-right"></i>연락처</a> </li> -->
                            </ul>

                        </li>
                        <li class="has-mega gc_main_navigation"><a href="{{ route('cart.index') }}" class="gc_main_navigation">장바구니<i class="fas fa-caret-down"></i></a>
                        </li>

                    </ul>
                </div>
            </div>
        </div>

    </div>
    <!--// inner 끝 -->
</div>
<!-- header wrapper end -->
