@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>공지사항</h2>
                        <ul>
                            <li><a href="#">My Page</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>Notice List</li>
                        </ul>

                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->

    <!-- tabOne section start -->
    <div class="tabOne ptb-100">
        <div class="container">
            <div class="row">
            @include('views.my-page.left-sidebar')

            <!-- /.col-md-2 -->
                <div class="col-xl-10 col-lg-10 col-md-10 col-sm-12 col-12 tw-mt-3">
                    <div class="tab-content tab-pera" id="myTabContent">
                        <div class="tab-pane fade show active" id="home-tabone" role="tabpanel" aria-labelledby="one-home-tab">
                            @forelse ($noticePage['Page'] as $notice)
                                <div class="accordion" id="accordion{{ $notice['Id'] }}" role="tablist">

                                    <div class="card">

                                        <div class="card_pagee" role="tab" id="heading{{ $notice['Id'] }}">
                                            <h5 class="h5-md">
                                                <a class="collapsed" data-toggle="collapse" href="#collapseone{{ $notice['Id'] }}" role="button" aria-expanded="false" aria-controls="collapseone">
                                                    {{ $notice['PostTitle'] }}
                                                </a>
                                            </h5>
                                        </div>

                                        <div id="collapseone{{ $notice['Id'] }}" class="collapse" role="tabpanel" aria-labelledby="heading{{ $notice['Id'] }}" data-parent="#accordion{{ $notice['Id'] }}" style="">
                                            <div class="card-body">
                                                <div class="card_cntnt">{!! $notice['PostContents'] !!}</div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            @empty
                            @endforelse
                        </div>
                        <div class="d-flex flex-column flex-md-row align-items-center">
                            <!-- 페이지네이션 시작 -->
                            @component('views.partial.table-options')
                            @endcomponent
                            <div>
                                {{ $noticePage['Page']->appends(['limit' => request('limit'), 'sort' => request('sort')])->links() }}
                            </div>
                            <!--// 페이지네이션 끝 -->
                        </div>
                    </div>

                </div>
                <!-- /.col-md-10 -->

            </div>
            <!-- /.row -->
        </div>
        <!-- /.container -->
    </div>
    <!-- tabOne section end -->
@endsection
