@extends('views.layouts.master')
@section('content')
    <!--inner Title Start -->
    <div class="sms_title_main_wrapper">

        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sms_inner_title_heading full_width">
                        <h2>checkout</h2>

                        <ul>
                            <li><a href="#">Home</a> &nbsp;&nbsp;&nbsp;/</li>
                            <li>checkout</li>
                        </ul>

                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- inner Title End -->
    <!-- about us wrapper start -->
    <div class="full_width sub_wrapper checkout">
    	
        <!-- container 시작 -->
        <div class="container">
        
        	<!-- row 시작 -->
            <div class="row">
            
            	<div class="left col-xl-8 col-lg-8 col-md-12 col-sm-12 col-xs-12">
                	<div class="card full_width">
                    	<h6>고객 정보</h6>

                        <div class="input_box f_name">
                                <label class="need">고객(회사)명</label>
                                <input type="text" value="고객(회사)명" disabled>
                            </div>
    
                            <div class="input_box l_name">
                                <label class="need">이메일</label>
                                <input type="text" value="abcd@efgcd.com" disabled>
                            </div>
                            <div class="input_box company">
                                <label>고객(회사)정식 명칭</label>
                                <input type="text" value="고객(회사)정식 명칭" disabled>
                            </div>
        					
                            <!--
                            <div class="input_box country">
                                <label class="need">국가 / 지역</label>
                                <input type="text" placeholder="대한민국">
                            </div>
        
                            <div class="input_box add1">
                                <label class="need">도로명 주소</label>
                                <input type="text" placeholder="서울 강남구 선릉로64길 8 (대치동)">
                            </div>
        
                            <div class="input_box add2">
                                <label>아파트, 상품군, 개수 등 (선택 사항)</label>
                                <input type="text" placeholder="dsadsadas">
                            </div>
        
                            <div class="input_box add2">
                                <label class="need">휴대폰 번호</label>
                                <input type="text" placeholder="12345">
                            </div>
        
                            <div class="input_box email">
                                <label class="need">이메일 주소</label>
                                <input type="text" placeholder="sunny@shoplic.kr">
                            </div>
        
                            <div class="input_box zip">
                                <label class="need">우편 번호</label>
                                <input type="text" placeholder="06206">
                                <button type="button"><i class="fas fa-search"></i></button>
                            </div> 
                            -->
                    </div>
                    
                    <div class="card full_width">
                    	<h6>추가 정보</h6>

                        <div class="input_box">
                            <label>주문 메모 (선택 사항)</label>
                            <select hidden>
                                <option value=""></option>
                                <option>부재시 전화나 문자 주세요.</option>
                                <option>부재시 경비실에 맡겨주세요.</option>
                                <option>부재시 문앞에 둬 주세요.</option>
                            </select>
                            <textarea placeholder="주문 관련 메시지, 예) 배송 관련 메모." id="remarks-txt-area"></textarea>
                        </div>
                	</div>
            	</div>

            	<div class="right col-xl-4 col-lg-4 col-md-12 col-sm-12 col-xs-12">
                	<div class="sidebar_widget full_width">
                    	<strong class="accordion"><span>고객님의 주문</span></strong>

                        <div class="info">
                        	<dl>
                            	<dt><strong> 제품명이 들어갑니다</strong> x  000</dt>
                                <dd>₩ 0,000,000</dd>
                            </dl>
                        </div>

                        <div class="sum">
                            <dl>
                                <dt>소계</dt>
                                <dd>₩ 0,000,000</dd>
                            </dl>
                            <dl>
                                <dt>배송</dt>
                                <dd>무료배송</dd>
                            </dl>
                            <dl>
                                <dt>결제 방법</dt>
                                <dd>직접 은행 계좌 이체</dd>
                            </dl>
                        </div>
    
                        <div class="total">
                            <dl>
                                <dt>총계</dt>
                                <dd>₩ 0,000,000</dd>
                            </dl>
                        </div>

                        <div class="agree">
                        	<div>
                                <p>
                                    고객 적립급 지급 후 환불 불가합니다.<br>
                                    구매조건을 확인하고 결제 진행에 동의합니다.
                                </p>
                                <input type="checkbox" clas="need" id="show-policy-check"> 본인은 웹사이트 이용 약관 과 개인정보 보호정책 을(를) 읽었으며 이에 동의합니다.
                            </div>
                        </div>
                        
                    	<div class="btn_wrap">
                        	<button type="button" class="btn_prime" onclick="checkout(this)">주문확정</button>
                        </div>

                </div>
            	</div>
            
            </div>
            <!--//row 끝 -->
            
        </div>
        <!--// container 끝 -->

    </div>

@endsection
