{{--<script type="text/javascript" src="//code.jquery.com/jquery-1.11.0.min.js"></script>--}}
{{--<script type="text/javascript" src="//code.jquery.com/jquery-migrate-1.2.1.min.js"></script>--}}

@extends('views.layouts.master')
@section('content')

@php
    $itemDetails = $listType1Book['Book'][0]['Page'][0];
    $itemThmMedia[0] = array_merge($listType1Book['Book'][1]['Page'][0] ?? [], [ 'MediaId' => $itemDetails['C1'] ]);
    $preItem = $listType1Book['Book'][3]['Page'];
    $nextItem = $listType1Book['Book'][4]['Page'];
    $refund = $listType1Book['Book'][6]['Page'][0];
@endphp

<!--inner Title Start -->
<div class="sms_title_main_wrapper">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="sms_inner_title_heading full_width">
                    <h2>{{ $itemDetails['C3'] }}</h2>
                    <ul>
                        <li><a href="/">Home</a> &nbsp;&nbsp;&nbsp;/</li>
                        <li>{{ $itemDetails['C3'] }}</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- tabOne section start -->
<div class="full_width sub_wrapper shop-detail">
    <!--=====================================
    	PRODUCT DETAILS PART START
    =======================================-->
    <section class="shop detail">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <div class="details-gallery">
                        <div class="details-label-group">
                            <label class="details-label new">new</label>
                            <!--<label class="details-label off">-10%</label>-->
                        </div>
                        <ul class="details-preview">
                            @forelse ($itemThmMedia ?? [] as $itemThm)
                                @foreach(['MediaId', 'C1', 'C2', 'C3', 'C4', 'C5'] as $key)
                                    @if(isset($itemThm[$key]) && $itemThm[$key] !== '')
                                        <li><img src="{{ env('MEDIA_URL') . $itemThm[$key] }}" alt="product"></li>
                                    @endif
                                @endforeach
                            @empty
                            @endforelse
                        </ul>

                        <ul class="details-thumb">
                            @forelse ($itemThmMedia ?? [] as $itemThm)
                                @foreach(['MediaId', 'C1', 'C2', 'C3', 'C4', 'C5'] as $key)
                                    @if(isset($itemThm[$key]) && $itemThm[$key] !== '')
                                        <li><img src="{{ env('MEDIA_URL') . $itemThm[$key] }}" alt="product"></li>
                                    @endif
                                @endforeach
                            @empty
                            @endforelse
                        </ul>
                    </div>
                </div>
                <div class="col-lg-6">
                    <ul class="product-navigation">
                        <li class="product-nav-prev">
                            @if ($preItem)
                                <a href="{{ route('credit-item-detail', $preItem[0]['Id']) }}">
                                    <i class="icofont-arrow-left"></i> prev product <span class="product-nav-popup">
                                      <img src="{{ env('MEDIA_URL') . $preItem[0]['C1'] }}" alt="product">
                                      <small>{{ $preItem[0]['C5'] }}</small> </span>
                                </a>
                            @endif
                        </li>
                        <li class="product-nav-next">
                            @if ($nextItem)
                                <a href="{{ route('credit-item-detail', $nextItem[0]['Id']) }}"> next product <i class="icofont-arrow-right"></i> <span class="product-nav-popup">
                                  <img src="{{ env('MEDIA_URL') . $nextItem[0]['C1'] }}" alt="product">
                                  <small>{{ $nextItem[0]['C5'] }}</small> </span>
                                </a>
                                @endif
                        </li>
                    </ul>
                    <div class="details-content">
                        <h3 class="details-name"><a href="#">{{ $itemDetails['C5'] }}</a></h3>
                        <div class="details-meta">
                            <p>SKU:<span>{{ $itemDetails['C4'] }}</span></p>
                            <p>BRAND:<a href="#">{{ $itemDetails['C6'] }}</a></p>
                        </div>
                        <h3 class="details-price">
                            <span>{{ number_format($itemDetails['C7']) }} 원</span> </h3>
                        <p class="details-desc">{{ $itemDetails['C6'] }}</p>
                        <!--
							<div class="details-list-group">
                                <label class="details-list-title">tags:</label>
                                <ul class="details-tag-list">
                                    <li><a href="#">organic</a></li>
                                    <li><a href="#">fruits</a></li>
                                    <li><a href="#">chilis</a></li>
                                </ul>
                            </div>
							-->
                        <!--
							<div class="details-list-group">
                                <label class="details-list-title">Share:</label>
                                <ul class="details-share-list">
                                    <li><a href="#" class="icofont-facebook" title="Facebook"></a></li>
                                    <li><a href="#" class="icofont-twitter" title="Twitter"></a></li>
                                    <li><a href="#" class="icofont-linkedin" title="Linkedin"></a></li>
                                    <li><a href="#" class="icofont-instagram" title="Instagram"></a></li>
                                </ul>
                            </div>
							-->
                        <form class="btn_group form-prevent-multiple-submits" id="cart-form" action="{{ route('cart.store') }}" method="POST">
                            @csrf
                            <input type="hidden" name="item_id" value="{{ $itemDetails['Id'] }}">
{{--                            <div class="details-action-group"> <a class="details-wish wish" href="/wish-list" title="Add Your Wishlist"> <i class="fas fa-heart"></i> <span>찜하기</span> </a>--}}
                                <!--
									<a class="details-compare" href="compare.html" title="Compare This Item">
										<i class="fas fa-random"></i>
										<span>Compare This</span>
									</a>
									-->

                            <div class="details-add-group d-flex w-100">
                                <div class="product-action mr-1">
                                    <button class="action-minus" type="button" title="Quantity Minus"><i class="fas fa-minus"></i></button>
                                    <input class="action-input" title="Quantity Number" type="text" name="cart_qty" value="1">
                                    <button class="action-plus" type="button" title="Quantity Plus"><i class="fas fa-plus"></i></button>
                                </div>
                                <button type="submit" class="btn btn_prime w-100 product-add button-prevent-multiple-submits mr-1" title="Add to Cart"> <i class="fas fa-shopping-basket"></i>
                                    <span>장바구니 담기</span>
                                </button>
                                <button type="button" onclick="click_buy_btn(this)" class="btn btn_prime w-100 details-buy button-prevent-multiple-submits" title="구매하기"> <i class="fas fa-check"></i>
                                    <span>구매하기</span>
                                </button>
                            </div>

                        </form>

                    </div>


                </div>

            </div>
        </div>
    </section>
    <!--=====================================
    	PRODUCT DETAILS PART END
    =======================================-->

    <!--=====================================
    	PRODUCT TAB PART START
    =======================================-->
    <section class="item_detail inner-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <ul class="nav nav-tabs">
                        <li><a href="#tab-desc" class="tab-link active" data-bs-toggle="tab">상품상세</a></li>
                        <li><a href="#tab-refund" class="tab-link" data-bs-toggle="tab">배송/교환/반품 안내</a></li>
{{--                        <li><a href="#tab-spec" class="tab-link" data-bs-toggle="tab">Specifications</a></li>--}}
{{--                        <li><a href="#tab-reve" class="tab-link" data-bs-toggle="tab">reviews (2)</a></li>--}}
                    </ul>
                </div>
            </div>
            <div class="tab-pane fade show active" id="tab-desc">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="product-details-frame">
                            <div class="tab-descrip">
                                {!! $itemDetails['C8'] !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="tab-refund">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="product-details-frame">
                            {!! $refund['C2'] ?? '' !!}
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="tab-spec">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="product-details-frame">
                            <table class="table table-bordered">
                                <tbody>
                                    <tr>
                                        <th scope="row">Product code</th>
                                        <td>SKU: 101783</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Weight</th>
                                        <td>1kg, 2kg</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Styles</th>
                                        <td>@Girly</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Properties</th>
                                        <td>Short Dress</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="tab-reve">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="product-details-frame">
                            <ul class="review-list">
                                <li class="review-item">
                                    <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/eyerecord/pro/resources/images/avatar/01.jpg'}}" alt="review"> </a>
                                        <h5 class="review-meta"> <a href="#">miron mahmud</a> <span>June 02, 2020</span> </h5>
                                    </div>
                                    <!--
                                    <ul class="review-rating">
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rate-blank"></li>
                                    </ul>
                                    -->
                                    <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                                    <form class="review-reply">
                                        <input type="text" placeholder="reply your thoughts">
                                        <button type="button"><i class="icofont-reply"></i>reply</button>
                                    </form>
                                    <ul class="review-reply-list">
                                        <li class="review-reply-item">
                                            <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/eyerecord/pro/resources/images/avatar/02.jpg'}}" alt="review"> </a>
                                                <h5 class="review-meta"> <a href="#">labonno khan</a> <span><b>author -</b> June 02, 2020</span> </h5>
                                            </div>
                                            <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                                            <form class="review-reply">
                                                <input type="text" placeholder="reply your thoughts">
                                                <button type="button"><i class="icofont-reply"></i>reply</button>
                                            </form>
                                        </li>
                                        <li class="review-reply-item">
                                            <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/eyerecord/pro/resources/images/avatar/03.jpg'}}" alt="review"> </a>
                                                <h5 class="review-meta"> <a href="#">tahmina bonny</a> <span>June 02, 2020</span> </h5>
                                            </div>
                                            <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                                            <form class="review-reply">
                                                <input type="text" placeholder="reply your thoughts">
                                                <button type="button"><i class="icofont-reply"></i>reply</button>
                                            </form>
                                        </li>
                                    </ul>
                                </li>
                                <li class="review-item">
                                    <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/eyerecord/pro/resources/images/avatar/04.jpg'}}" alt="review"> </a>
                                        <h5 class="review-meta"> <a href="#">shipu shikdar</a> <span>June 02, 2020</span> </h5>
                                    </div>
                                    <!--
                                    <ul class="review-rating">
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rating"></li>
                                        <li class="icofont-ui-rate-blank"></li>
                                    </ul>
                                    -->
                                    <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                                    <form class="review-reply">
                                        <input type="text" placeholder="reply your thoughts">
                                        <button type="button"><i class="icofont-reply"></i>reply</button>
                                    </form>
                                </li>
                            </ul>
                        </div>
                        <div class="product-details-frame">
                            <h3 class="frame-title">리뷰쓰기</h3>
                            <form class="review-form">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <!--
                                        <div class="star-rating">
                                            <input type="radio" name="rating" id="star-1">
                                            <label for="star-1"></label>
                                            <input type="radio" name="rating" id="star-2">
                                            <label for="star-2"></label>
                                            <input type="radio" name="rating" id="star-3">
                                            <label for="star-3"></label>
                                            <input type="radio" name="rating" id="star-4">
                                            <label for="star-4"></label>
                                            <input type="radio" name="rating" id="star-5">
                                            <label for="star-5"></label>
                                        </div>
                                        -->
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            <textarea class="form-control" placeholder="리뷰를 적어 주세요."></textarea>
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control" placeholder="이름">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <input type="email" class="form-control" placeholder="이메일">
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <button type="button" class="btn btn_prime btn-inline"> <i class="icofont-water-drop"></i> <span>리뷰작성</span> </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--=====================================
    	PRODUCT TAB PART END
    =======================================-->

    <!--=====================================
        PRODUCT RELATED PART START
    =======================================-->
    <section class="detail_rel inner-section">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="section-heading">
                        <h2>연관상품</h2>
                    </div>
                </div>
            </div>
            <div class="row row-cols-2 row-cols-md-3 row-cols-lg-4 row-cols-xl-5">

                @forelse ($relatedItemGallery ?? [] as $item)
                <div class="col">
                    <div class="product-card">
                        <div class="product-media">
                            <div class="product-label">
                                <label class="label-text sale">new</label>
                            </div>
{{--                            <button class="product-wish wish"> <i class="far fa-heart"></i> </button>--}}
                            <a class="product-image" href="{{ route('credit-item-detail', $item['Id']) }}">
                                <img src="{{ env('MEDIA_URL') . $item['C1'] }}" alt="product" onerror="this.src='/images/folder.jpg'">
                            </a>
                            <!--
								<div class="product-widget">
                                    <a title="Product Compare" href="compare.html" class="fas fa-random"></a>
                                    <a title="Product Video" href="https://youtu.be/9xzcVxSBbG8" class="venobox fas fa-play" data-autoplay="true" data-vbtype="video"></a>
                                    <a title="Product View" href="#" class="fas fa-eye" data-bs-toggle="modal" data-bs-target="#product-view"></a>
                                </div>
								-->
                        </div>
                        <div class="product-content">
                            <h6 class="product-name"> <a href="{{ route('credit-item-detail', $item['Id']) }}">{{ $item['C5'] }}</a> </h6>
                            <h6 class="product-price">
                                <span>{{ number_format($item['C7']) }} 원</span> </h6>
                            {{--            <button class="product-add" title="Add to Cart"> <i class="fas fa-shopping-basket"></i> <span>장바구니 담기</span> </button>--}}
                        </div>
                    </div>
                </div>
                @empty
                @endforelse
            </div>
{{--            <div class="row">--}}
{{--                <div class="col-lg-12">--}}
{{--                    <div class="section-btn-25"> <a href="http://eyerecord.daboryhost.com/item-gallery" class="btn_more"> <span>더보기 <i class="fas fa-arrow-right"></i></span> </a> </div>--}}
{{--                </div>--}}
{{--            </div>--}}
        </div>
    </section>
    <!--=====================================
                 PRODUCT RELATED PART END
        =======================================-->
</div>
<!-- tabOne section end -->

@endsection

@push('js')
    <script>
        function click_buy_btn($this) {
            const $form = $this.closest('form')
            $($form).find('.button-prevent-multiple-submits').attr('disabled', true)
            $($form).append($('<input>', { 'type': 'hidden', 'name': 'purchase', 'value': true }))
            $form.submit()
        }

        $(document).ready(function(){
            //========================================
            //   FOR PRODUCT DETAILS IMAGE SLIDER
            //========================================
            $('.details-preview').slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                arrows: false,
                fade: true,
                asNavFor: '.details-thumb',
                prevArrow: '<i class="icofont-arrow-right dandik"></i>',
                nextArrow: '<i class="icofont-arrow-left bamdik"></i>',
                responsive: [
                    {
                        breakpoint: 576,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                            arrows: true,
                        }
                    }
                ]
            });

            $('.details-thumb').slick({
                slidesToShow: 5,
                slidesToScroll: 1,
                asNavFor: '.details-preview',
                dots: false,
                arrows: false,
                focusOnSelect: true,
                responsive: [
                    {
                        breakpoint: 1200,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 1,
                        }
                    },
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 5,
                            slidesToScroll: 1,
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 4,
                            slidesToScroll: 1,
                        }
                    },
                    {
                        breakpoint: 576,
                        settings: {
                            slidesToShow: 4,
                            slidesToScroll: 1,
                            vertical: false,
                        }
                    },
                    {
                        breakpoint: 400,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 1,
                            vertical: false,
                        }
                    }
                ]
            });
        });
    </script>
@endpush

